Get group transactions

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
❗️

Make sure you have the appropriate access control configured. For more information, see access group documentation.

Example request

curl --location 'https://eu.api.capillarytech.com/v2/userGroup2/transactions?type=regular&externalId=uat_ug_10_txn&primaryUserId=566998132&embed=CUSTOMFIELDS&limit=5' \
--header 'Authorization: Basic bWFkaHVfc3MjU2YQ=='
curl --location 'https://eu.api.capillarytech.com/v2/userGroup2/transactions?id=3918893&type=regular&externalId=uat_ug_10_txn&primaryUserId=566998132&startDate=2025-11-03T09%3A00%3A00Z&endDate=2026-11-02T09%3A00%3A01Z&limit=2&order=DESC' \
--header 'Authorization: Basic bWFkaHzI3MjU2YQ=='
curl --location 'https://eu.api.capillarytech.com/v2/userGroup2/transactions?id=3918893&type=regular&limit=2&order=ASC&roles=true' \
--header 'Authorization: Basic bWFkaHVfNkNzI3MjU2YQ=='

Query parameters

Note: It is mandatory to have atleast one identifier, id, primaryUserId, or externalId

ParameterData typeMandatoryDescription
typeenum[REGULAR, RETURN]NO

Type of the transaction to retrieve.

Supported values: REGULAR, RETURN, ALL.

idintYesUnique ID of the user group to fetch transactions.
externalIdstringYesExternal ID of the group.
primaryUserIdstringYesUser ID of the primary member of the group.
identifierNameenum[mobile, email, externalId]NoIdentifier used for the primary user of the group. Required to get transactions of the group member.
identifierValuestringNoValue of the specified identifier type.
sourceenum[FACEBOOK, WEB_ENGAGE, ...][FACEBOOK, WEB_ENGAGE, ...]NoSource in which the identifier is available.
accountIdstringNoAccount ID for sources with multiple accounts such as FACEBOOK, WEBENGAGE, WHATSAPP.
transactionIdintNoFetch details of a specific transaction by transaction ID.
billNumberstringNoFetch details of a specific transaction by bill number.
customerIdlongNoUnique ID of the group member to fetch group transactions made by the customer.
startDatedatetimeNoFilter results where transaction_date >= startDate. Pass ISO standard date format.
endDatestringNoFilter results where transaction_date < end_date. Pass ISO standard date format.
embedenum[EXTENDEDFIELDS, ...]No

Additional details to be fetched.

Supported values: EXTENDEDFIELDS, CUSTOMFIELDS, LINEITEMS, PAYMENTDETAILS, CUSTOMERDETAILS, BASICDETAILS(comma-separated).

getDataForAllProgramsbooleanNoPass true to fetch transactions across all programs data (future use case).
offsetintNoOffset of the first entry in the result. This should be positive.
limitint (20)No

Maximum number of results to show.

Default value: 20

orderenum[ACS, DESC] (DESC)No

Arranges the transactions based on the value set in sort in an ascending (asc) or descending order (desc).

Default value: DESC.

Supported values: ASC, DESC.

creditNotesbooleanNo

Pass true to fetch credit notes details.

Default value: false.

Supported values: true, false.

rolesstringNoRoles associated with the user.
points_breakupbooleanNo

Displays points break-up details. Returned points will be shown in the parent transaction itself, not against the returned transaction.

Supported values: true, false.

Default value: false.

Example response

{
  "data": [
    {
      "useDefaultFleetGroup": false,
      "pointSummary": {
        "issuedPoints": 0,
        "returnedPoints": 0,
        "redeemedPoints": 0,
        "expiredPoints": 0,
        "availablePoints": 0,
        "expiryDate": "2026-04-19T23:59:59Z",
        "programId": 973,
        "delayedPoints": 1.25,
        "delayedPointsReturned": 0,
        "redeemableFrom": "2026-03-25T07:25:00Z"
      },
      "loyaltiesPointDetails": [
        {
          "issuedPoints": 0,
          "returnedPoints": 0,
          "redeemedPoints": 0,
          "expiredPoints": 0,
          "availablePoints": 0,
          "expiryDate": "2026-04-19T23:59:59Z",
          "programId": 973,
          "delayedPoints": 1.25,
          "delayedPointsReturned": 0,
          "redeemableFrom": "2026-03-25T07:25:00Z"
        }
      ],
      "billPointsBreakup": [],
      "userGroup2": {
        "id": 3918893,
        "externalId": "uat_ug_10_txn",
        "groupStatus": "ACTIVE",
        "groupName": "uatUserGroup10Transactions",
        "lifeTimePurchases": 70100,
        "primaryUserId": 566998132
      },
      "billDetails": {
        "amount": 2000,
        "billingStore": {
          "id": 75152715,
          "code": "doc123",
          "description": "",
          "name": "DocStore",
          "type": "STORE",
          "referenceId": -1,
          "adminType": "GENERAL",
          "isActive": true,
          "isOuEnabled": false,
          "timeZoneId": 158,
          "currencyId": 95,
          "languageId": 148,
          "default": false
        },
        "billNumber": "docdemotxn00loyal0029",
        "billingTime": "2026-03-25T07:25:00Z",
        "discount": 0,
        "grossAmount": 2000,
        "note": "DGtxn L 0029",
        "invalidBill": false
      },
      "customFields": {},
      "source": "instore",
      "addWithLocalCurrency": false,
      "async": false,
      "useV2": false,
      "simulation": false,
      "customerId": 566998132,
      "id": 900212395,
      "outlierStatus": "NORMAL",
      "type": "REGULAR",
      "warnings": [],
      "lifeTimePurchases": 0,
      "ignorePoints": false,
      "autoUpdateTime": "2026-03-25T07:26:14Z",
      "basketSize": 0,
      "transactionEventStatus": "PROCESSING_COMPLETE",
      "retroTxn": false
    },
    {
      "useDefaultFleetGroup": false,
      "pointSummary": {
        "issuedPoints": 200,
        "returnedPoints": 0,
        "redeemedPoints": 0,
        "expiredPoints": 0,
        "availablePoints": 200,
        "expiryDate": "2026-04-26T23:59:59Z",
        "programId": 973,
        "delayedPoints": 0,
        "delayedPointsReturned": 0,
        "redeemableFrom": "2025-11-19T06:05:38Z"
      },
      "loyaltiesPointDetails": [
        {
          "issuedPoints": 200,
          "returnedPoints": 0,
          "redeemedPoints": 0,
          "expiredPoints": 0,
          "availablePoints": 200,
          "expiryDate": "2026-04-26T23:59:59Z",
          "programId": 973,
          "delayedPoints": 0,
          "delayedPointsReturned": 0,
          "redeemableFrom": "2025-11-19T06:05:38Z"
        }
      ],
      "billPointsBreakup": [],
      "userGroup2": {
        "id": 3918893,
        "externalId": "uat_ug_10_txn",
        "groupStatus": "ACTIVE",
        "groupName": "uatUserGroup10Transactions",
        "lifeTimePurchases": 70100,
        "primaryUserId": 566998132
      },
      "billDetails": {
        "amount": 2300,
        "billingStore": {
          "id": 75152715,
          "code": "doc123",
          "description": "",
          "name": "DocStore",
          "type": "STORE",
          "referenceId": -1,
          "adminType": "GENERAL",
          "isActive": true,
          "isOuEnabled": false,
          "timeZoneId": 158,
          "currencyId": 95,
          "languageId": 148,
          "default": false
        },
        "billNumber": "test00transact143",
        "billingTime": "2025-11-11T10:02:00Z",
        "discount": 1000,
        "grossAmount": 0,
        "note": "Regular Tranasction number 143",
        "invalidBill": false
      },
      "customFields": {
        "booking_date": "2025-11-11",
        "origin": "instore",
        "paymentmode": "card"
      },
      "source": "instore",
      "addWithLocalCurrency": false,
      "async": false,
      "useV2": false,
      "simulation": false,
      "customerId": 566998132,
      "id": 893271461,
      "outlierStatus": "NORMAL",
      "type": "REGULAR",
      "warnings": [],
      "lifeTimePurchases": 0,
      "ignorePoints": false,
      "autoUpdateTime": "2025-11-11T10:10:25Z",
      "basketSize": 0,
      "transactionEventStatus": "PROCESSING_COMPLETE",
      "retroTxn": false
    },
    {
      "useDefaultFleetGroup": false,
      "pointSummary": {
        "issuedPoints": 200,
        "returnedPoints": 0,
        "redeemedPoints": 0,
        "expiredPoints": 0,
        "availablePoints": 200,
        "expiryDate": "2026-04-26T23:59:59Z",
        "programId": 973,
        "delayedPoints": 0,
        "delayedPointsReturned": 0,
        "redeemableFrom": "2025-11-19T06:05:38Z"
      },
      "loyaltiesPointDetails": [
        {
          "issuedPoints": 200,
          "returnedPoints": 0,
          "redeemedPoints": 0,
          "expiredPoints": 0,
          "availablePoints": 200,
          "expiryDate": "2026-04-26T23:59:59Z",
          "programId": 973,
          "delayedPoints": 0,
          "delayedPointsReturned": 0,
          "redeemableFrom": "2025-11-19T06:05:38Z"
        }
      ],
      "billPointsBreakup": [],
      "userGroup2": {
        "id": 3918893,
        "externalId": "uat_ug_10_txn",
        "groupStatus": "ACTIVE",
        "groupName": "uatUserGroup10Transactions",
        "lifeTimePurchases": 70100,
        "primaryUserId": 566998132
      },
      "billDetails": {
        "amount": 2300,
        "billingStore": {
          "id": 75152715,
          "code": "doc123",
          "description": "",
          "name": "DocStore",
          "type": "STORE",
          "referenceId": -1,
          "adminType": "GENERAL",
          "isActive": true,
          "isOuEnabled": false,
          "timeZoneId": 158,
          "currencyId": 95,
          "languageId": 148,
          "default": false
        },
        "billNumber": "test00transact142",
        "billingTime": "2025-11-11T10:00:00Z",
        "discount": 1000,
        "grossAmount": 0,
        "note": "Regular Tranasction number 142",
        "invalidBill": false
      },
      "customFields": {
        "booking_date": "2025-11-11",
        "origin": "instore",
        "paymentmode": "card"
      },
      "source": "instore",
      "addWithLocalCurrency": false,
      "async": false,
      "useV2": false,
      "simulation": false,
      "customerId": 566998132,
      "id": 893271405,
      "outlierStatus": "NORMAL",
      "type": "REGULAR",
      "warnings": [],
      "lifeTimePurchases": 0,
      "ignorePoints": false,
      "autoUpdateTime": "2025-11-11T10:07:20Z",
      "basketSize": 0,
      "transactionEventStatus": "PROCESSING_COMPLETE",
      "retroTxn": false
    },
    {
      "useDefaultFleetGroup": false,
      "pointSummary": {
        "issuedPoints": 200,
        "returnedPoints": 0,
        "redeemedPoints": 0,
        "expiredPoints": 0,
        "availablePoints": 200,
        "expiryDate": "2026-04-26T23:59:59Z",
        "programId": 973,
        "delayedPoints": 0,
        "delayedPointsReturned": 0,
        "redeemableFrom": "2025-11-19T06:05:38Z"
      },
      "loyaltiesPointDetails": [
        {
          "issuedPoints": 200,
          "returnedPoints": 0,
          "redeemedPoints": 0,
          "expiredPoints": 0,
          "availablePoints": 200,
          "expiryDate": "2026-04-26T23:59:59Z",
          "programId": 973,
          "delayedPoints": 0,
          "delayedPointsReturned": 0,
          "redeemableFrom": "2025-11-19T06:05:38Z"
        }
      ],
      "billPointsBreakup": [],
      "userGroup2": {
        "id": 3918893,
        "externalId": "uat_ug_10_txn",
        "groupStatus": "ACTIVE",
        "groupName": "uatUserGroup10Transactions",
        "lifeTimePurchases": 70100,
        "primaryUserId": 566998132
      },
      "billDetails": {
        "amount": 2300,
        "billingStore": {
          "id": 75152715,
          "code": "doc123",
          "description": "",
          "name": "DocStore",
          "type": "STORE",
          "referenceId": -1,
          "adminType": "GENERAL",
          "isActive": true,
          "isOuEnabled": false,
          "timeZoneId": 158,
          "currencyId": 95,
          "languageId": 148,
          "default": false
        },
        "billNumber": "test00transact141",
        "billingTime": "2025-11-11T09:35:00Z",
        "discount": 1000,
        "grossAmount": 0,
        "note": "Regular Tranasction number 141",
        "invalidBill": false
      },
      "customFields": {
        "booking_date": "2025-11-11",
        "origin": "instore",
        "paymentmode": "card"
      },
      "source": "instore",
      "addWithLocalCurrency": false,
      "async": false,
      "useV2": false,
      "simulation": false,
      "customerId": 566998132,
      "id": 893270911,
      "outlierStatus": "NORMAL",
      "type": "REGULAR",
      "warnings": [],
      "lifeTimePurchases": 0,
      "ignorePoints": false,
      "autoUpdateTime": "2025-11-11T09:38:29Z",
      "basketSize": 0,
      "transactionEventStatus": "PROCESSING_COMPLETE",
      "retroTxn": false
    },
    {
      "useDefaultFleetGroup": false,
      "pointSummary": {
        "issuedPoints": 200,
        "returnedPoints": 0,
        "redeemedPoints": 0,
        "expiredPoints": 0,
        "availablePoints": 200,
        "expiryDate": "2026-04-26T23:59:59Z",
        "programId": 973,
        "delayedPoints": 0,
        "delayedPointsReturned": 0,
        "redeemableFrom": "2025-11-19T06:05:38Z"
      },
      "loyaltiesPointDetails": [
        {
          "issuedPoints": 200,
          "returnedPoints": 0,
          "redeemedPoints": 0,
          "expiredPoints": 0,
          "availablePoints": 200,
          "expiryDate": "2026-04-26T23:59:59Z",
          "programId": 973,
          "delayedPoints": 0,
          "delayedPointsReturned": 0,
          "redeemableFrom": "2025-11-19T06:05:38Z"
        }
      ],
      "billPointsBreakup": [],
      "userGroup2": {
        "id": 3918893,
        "externalId": "uat_ug_10_txn",
        "groupStatus": "ACTIVE",
        "groupName": "uatUserGroup10Transactions",
        "lifeTimePurchases": 70100,
        "primaryUserId": 566998132
      },
      "billDetails": {
        "amount": 2300,
        "billingStore": {
          "id": 75152715,
          "code": "doc123",
          "description": "",
          "name": "DocStore",
          "type": "STORE",
          "referenceId": -1,
          "adminType": "GENERAL",
          "isActive": true,
          "isOuEnabled": false,
          "timeZoneId": 158,
          "currencyId": 95,
          "languageId": 148,
          "default": false
        },
        "billNumber": "test00transact140",
        "billingTime": "2025-11-11T09:35:00Z",
        "discount": 1000,
        "grossAmount": 0,
        "note": "Regular Tranasction number 140",
        "invalidBill": false
      },
      "customFields": {
        "booking_date": "2025-11-04",
        "origin": "instore",
        "paymentmode": "card"
      },
      "source": "instore",
      "addWithLocalCurrency": false,
      "async": false,
      "useV2": false,
      "simulation": false,
      "customerId": 566998132,
      "id": 893270882,
      "outlierStatus": "NORMAL",
      "type": "REGULAR",
      "warnings": [],
      "lifeTimePurchases": 0,
      "ignorePoints": false,
      "autoUpdateTime": "2025-11-11T09:36:49Z",
      "basketSize": 0,
      "transactionEventStatus": "PROCESSING_COMPLETE",
      "retroTxn": false
    }
  ],
  "warnings": [],
  "errors": []
}
{
  "data": [
    {
      "useDefaultFleetGroup": false,
      "loyaltiesPointDetails": [],
      "billPointsBreakup": [],
      "userGroup2": {
        "id": 3918893,
        "externalId": "uat_ug_10_txn",
        "groupStatus": "ACTIVE",
        "groupName": "uatUserGroup10Transactions",
        "lifeTimePurchases": 70100,
        "primaryUserId": 566998132
      },
      "billDetails": {
        "amount": 6000,
        "billingStore": {
          "id": 75152715,
          "code": "doc123",
          "description": "",
          "name": "DocStore",
          "type": "STORE",
          "referenceId": -1,
          "adminType": "GENERAL",
          "isActive": true,
          "isOuEnabled": false,
          "timeZoneId": 191,
          "currencyId": 95,
          "languageId": 148,
          "default": false
        },
        "billNumber": "test00transact127",
        "billingTime": "2025-11-02T09:00:00Z",
        "discount": 1000,
        "grossAmount": 7000,
        "note": "Regular Tranasction number 127",
        "invalidBill": false
      },
      "source": "instore",
      "addWithLocalCurrency": false,
      "async": false,
      "useV2": false,
      "simulation": false,
      "customerId": 567219877,
      "id": 892937191,
      "outlierStatus": "NORMAL",
      "type": "REGULAR",
      "warnings": [],
      "lifeTimePurchases": 0,
      "ignorePoints": false,
      "autoUpdateTime": "2025-11-03T07:07:57Z",
      "basketSize": 0,
      "transactionEventStatus": "PROCESSING_COMPLETE",
      "retroTxn": false
    },
    {
      "useDefaultFleetGroup": false,
      "loyaltiesPointDetails": [],
      "billPointsBreakup": [],
      "userGroup2": {
        "id": 3918893,
        "externalId": "uat_ug_10_txn",
        "groupStatus": "ACTIVE",
        "groupName": "uatUserGroup10Transactions",
        "lifeTimePurchases": 70100,
        "primaryUserId": 566998132
      },
      "billDetails": {
        "amount": 6000,
        "billingStore": {
          "id": 75152715,
          "code": "doc123",
          "description": "",
          "name": "DocStore",
          "type": "STORE",
          "referenceId": -1,
          "adminType": "GENERAL",
          "isActive": true,
          "isOuEnabled": false,
          "timeZoneId": 191,
          "currencyId": 95,
          "languageId": 148,
          "default": false
        },
        "billNumber": "test00transact128",
        "billingTime": "2025-11-02T09:00:00Z",
        "discount": 1000,
        "grossAmount": 7000,
        "note": "Regular Tranasction number 128",
        "invalidBill": false
      },
      "source": "instore",
      "addWithLocalCurrency": false,
      "async": false,
      "useV2": false,
      "simulation": false,
      "customerId": 566998132,
      "id": 892937354,
      "outlierStatus": "NORMAL",
      "type": "REGULAR",
      "warnings": [],
      "lifeTimePurchases": 0,
      "ignorePoints": false,
      "autoUpdateTime": "2025-11-03T07:18:07Z",
      "basketSize": 0,
      "transactionEventStatus": "PROCESSING_COMPLETE",
      "retroTxn": false
    }
  ],
  "warnings": [],
  "errors": []
}
{
  "data": [
    {
      "useDefaultFleetGroup": false,
      "pointSummary": {
        "issuedPoints": 0,
        "returnedPoints": 0,
        "redeemedPoints": 0,
        "expiredPoints": 0,
        "availablePoints": 0,
        "expiryDate": "2026-04-19T23:59:59Z",
        "programId": 973,
        "delayedPoints": 1.25,
        "delayedPointsReturned": 0,
        "redeemableFrom": "2026-03-25T07:25:00Z"
      },
      "loyaltiesPointDetails": [
        {
          "issuedPoints": 0,
          "returnedPoints": 0,
          "redeemedPoints": 0,
          "expiredPoints": 0,
          "availablePoints": 0,
          "expiryDate": "2026-04-19T23:59:59Z",
          "programId": 973,
          "delayedPoints": 1.25,
          "delayedPointsReturned": 0,
          "redeemableFrom": "2026-03-25T07:25:00Z"
        }
      ],
      "billPointsBreakup": [],
      "userGroup2": {
        "id": 3918893,
        "externalId": "uat_ug_10_txn",
        "groupStatus": "ACTIVE",
        "groupName": "uatUserGroup10Transactions",
        "lifeTimePurchases": 70100,
        "primaryUserId": 566998132
      },
      "billDetails": {
        "amount": 2000,
        "billingStore": {
          "id": 75152715,
          "code": "doc123",
          "description": "",
          "name": "DocStore",
          "type": "STORE",
          "referenceId": -1,
          "adminType": "GENERAL",
          "isActive": true,
          "isOuEnabled": false,
          "timeZoneId": 191,
          "currencyId": 95,
          "languageId": 148,
          "default": false
        },
        "billNumber": "docdemotxn00loyal0029",
        "billingTime": "2026-03-25T07:25:00Z",
        "discount": 0,
        "grossAmount": 2000,
        "note": "DGtxn L 0029",
        "invalidBill": false
      },
      "source": "instore",
      "addWithLocalCurrency": false,
      "async": false,
      "useV2": false,
      "simulation": false,
      "customerId": 566998132,
      "id": 900212395,
      "outlierStatus": "NORMAL",
      "type": "REGULAR",
      "warnings": [],
      "lifeTimePurchases": 0,
      "ignorePoints": false,
      "autoUpdateTime": "2026-03-25T07:26:14Z",
      "transactionEventStatus": "PROCESSING_COMPLETE",
      "retroTxn": false,
      "basketSize": 0
    },
    {
      "useDefaultFleetGroup": false,
      "pointSummary": {
        "issuedPoints": 200,
        "returnedPoints": 0,
        "redeemedPoints": 0,
        "expiredPoints": 0,
        "availablePoints": 200,
        "expiryDate": "2026-04-26T23:59:59Z",
        "programId": 973,
        "delayedPoints": 0,
        "delayedPointsReturned": 0,
        "redeemableFrom": "2025-11-19T06:05:38Z"
      },
      "loyaltiesPointDetails": [
        {
          "issuedPoints": 200,
          "returnedPoints": 0,
          "redeemedPoints": 0,
          "expiredPoints": 0,
          "availablePoints": 200,
          "expiryDate": "2026-04-26T23:59:59Z",
          "programId": 973,
          "delayedPoints": 0,
          "delayedPointsReturned": 0,
          "redeemableFrom": "2025-11-19T06:05:38Z"
        }
      ],
      "billPointsBreakup": [],
      "userGroup2": {
        "id": 3918893,
        "externalId": "uat_ug_10_txn",
        "groupStatus": "ACTIVE",
        "groupName": "uatUserGroup10Transactions",
        "lifeTimePurchases": 70100,
        "primaryUserId": 566998132
      },
      "billDetails": {
        "amount": 2300,
        "billingStore": {
          "id": 75152715,
          "code": "doc123",
          "description": "",
          "name": "DocStore",
          "type": "STORE",
          "referenceId": -1,
          "adminType": "GENERAL",
          "isActive": true,
          "isOuEnabled": false,
          "timeZoneId": 191,
          "currencyId": 95,
          "languageId": 148,
          "default": false
        },
        "billNumber": "test00transact143",
        "billingTime": "2025-11-11T10:02:00Z",
        "discount": 1000,
        "grossAmount": 0,
        "note": "Regular Tranasction number 143",
        "invalidBill": false
      },
      "source": "instore",
      "addWithLocalCurrency": false,
      "async": false,
      "useV2": false,
      "simulation": false,
      "customerId": 566998132,
      "id": 893271461,
      "outlierStatus": "NORMAL",
      "type": "REGULAR",
      "warnings": [],
      "lifeTimePurchases": 0,
      "ignorePoints": false,
      "autoUpdateTime": "2025-11-11T10:10:25Z",
      "transactionEventStatus": "PROCESSING_COMPLETE",
      "retroTxn": false,
      "basketSize": 0
    }
  ],
  "warnings": [],
  "errors": []
}

Response parameters

Pagination response

The response includes a pagination object with details about the result set.

ParameterDescription
paginationContains pagination details for the result set.
pagination.limitThe maximum number of records per page.
pagination.offsetThe offset of the records in the current page.
pagination.totalThe total number of records matching the query.

Transaction response parameters

ParameterDescription
useDefaultFleetGroupIndicates if the default fleet group is used.
loyaltiesPointDetailsDetails about loyalty points earned.
billPointsBreakupBreakdown of points earned on the bill.
billDetailsDetails about the bill.
sourceSource where the transaction originated.
addWithLocalCurrencyIndicates if the transaction was added with local currency.
asyncIndicates if the transaction was performed asynchronously.
useV2Indicates if version 2 of the transaction was used.
simulationIndicates if the transaction was a simulation.
customerIdUnique ID of the customer associated with the transaction.
idUnique ID of the transaction.
outlierStatusStatus of the transaction's outlier.
typeType of the transaction (REGULAR).
lifeTimePurchasesTotal lifetime purchases for the customer.
ignorePointsIndicates if points were ignored for the transaction.
autoUpdateTimeTime when the transaction was automatically updated.
transactionEventStatusStatus of the transaction event (PROCESSING_COMPLETE).
basketSizeSize of the basket (items in the transaction).
retroTxnIndicates if the transaction is retroactive.
warningsAny warnings associated with the transaction.
errorsAny errors that occurred during the transaction process.

Please note that the response contains an array of transaction objects, so the table above describes the parameters within each individual transaction object.

Query Params
string
enum
Allowed:
int32
string
string
string
enum
Allowed:
string
string
enum
string
int32
string
int64
date
string
string
enum
Allowed:
boolean
int32
int32
Defaults to 20
string
enum
Defaults to DESC
Allowed:
boolean
string
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json